package link;

import category.Category;
import tag.Tag;
import user.Username;

import java.util.Set;

public record LinkDto(Username creator, LinkUrl url, Set<Category> categories, Set<Tag> tags) {

	@Override
	public String toString() {
		return
				url +
						" by " + creator +
						" categories: " + categories +
						" tags:" + tags;
	}
}
